/*******************************************************************************
 * FreeAdhocUDF - copyright (c) 2004 - 2009 adhoc dataservice GmbH
 * Christoph Theuring ct / Peter Mandrella pm / Georg Horn gh
 * <http://freeadhocudf.org> eMail <help@freeadhocudf.org>
 * (bug-)reports only in forum http://freeadhocudf.org/portal 
 * or eMail to help@freeadhocudf.org
 *   
 * this file contains declarations of file functions from FAUfile
 *
 * if you use this declarations in a non UTF-8 or UNICODE_FSS database 
 *		the max lenght of CSTRING is 32766 (1 Byte per character)
 * if you use this declarations in a InterBase UNICODE_FSS database 
 *		the max lenght of CSTRING is 10922 (3 Byts per character)
 * if you use this declarations in a InterBase or FireBird UTF-8 database 
 *		the max lenght of CSTRING is 8191 (max 4 Byts per character)
 * All declarations in this file are set to CSTRING(8191)
 * if you want to use one UDF more times in one piped string or one SQL, 
 * the sum of CSTRING of the used UDF doesn't grow over the max of your database
 *
 * Functions in alphabetical order
 *
 * This file is part of FreeAdhocUDF.
 * FreeAdhocUDF is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * FreeAdhocUDF is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with FreeAdhocUDF.  If not, see <http://www.gnu.org/licenses/>. 
*******************************************************************************/

SET SQL DIALECT 3;

/******************************************************************************/
/****                User Defined Functions - FAUfile Functions            ****/
/******************************************************************************/

/* delete old declaration 
DROP EXTERNAL FUNCTION F_BLOBLOAD;
commit; */

/* for FB with UTF8 */
DECLARE EXTERNAL FUNCTION F_BLOBLOAD
    CSTRING(8191),
    BLOB
    RETURNS PARAMETER 2
    ENTRY_POINT 'blob_load' MODULE_NAME 'FAUfile';

/* for IB and FB without UTF8 
DECLARE EXTERNAL FUNCTION F_BLOBLOAD
    CSTRING(32766),
    BLOB
    RETURNS PARAMETER 2
    ENTRY_POINT 'blob_load' MODULE_NAME 'FAUfile';
*/
DECLARE EXTERNAL FUNCTION F_BLOBSAVE
    CSTRING(255),
    BLOB
    RETURNS INTEGER FREE_IT
    ENTRY_POINT 'blob_save' MODULE_NAME 'FAUfile';

DECLARE EXTERNAL FUNCTION F_FILEVERSION
    RETURNS CSTRING(255) FREE_IT
    ENTRY_POINT 'fileversion' MODULE_NAME 'FAUfile';
    
/* adhoc 2009-09-21 */
